﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _8732
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            TiledWmsLayer layer = new TiledWmsLayer();
            layer.ServerUris.Add(new System.Uri("https://ahocevar.com/geoserver/wms"));
            layer.ActiveLayerNames.Add("topp:states");
            layer.ActiveStyleNames.Add("topp:population");
            layer.Crs = "EPSG:3857";
            layer.Parameters.Add("TILED", "true");

            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(layer);
            map.Overlays.Add(layerOverlay);

            map.CurrentExtent = new RectangleShape(-14720569.3717371, 7519886.71443875, -7049979.89482437, 2021326.40063144);
            map.Refresh();
        }
    }
}
